<?php

App::uses('EvTestimonialsAppModel', 'EvTestimonials.Model');

class Testimonial extends EvTestimonialsAppModel {

/**
 * Display field
 *
 * @var string
 */
	public $displayField = 'author';

	public $imageSlots = array(
		'main' => array(
			'fields' => array(
				'alt'
			),
			'slots' => 1
		)
	);

/**
 * Query array for getting testimonials
 * Default settings are for listing
 *
 * @return 	array
 */
	public function listingQueryArray() {
		$params = array(
			'conditions' => array(
				'Testimonial.is_active' => 1
			),
			'order' => 'Testimonial.sequence ASC',
			'contain' => 'Image'
		);

		// add the limit if the config file has paginate set
		if (Configure::read('EvTestimonials.paginate')) {
			$params['limit'] = Configure::read('EvTestimonials.page_limit');
		}

		return $params;
	}

}
